/* InfoBox.c generated by valac 0.34.4, the Vala compiler
 * generated from InfoBox.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <nm-device.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <nm-dhcp4-config.h>
#include <nm-ip6-config.h>
#include <nm-setting-ip6-config.h>
#include <gio/gio.h>


#define NETWORK_WIDGETS_TYPE_INFO_BOX (network_widgets_info_box_get_type ())
#define NETWORK_WIDGETS_INFO_BOX(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBox))
#define NETWORK_WIDGETS_INFO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBoxClass))
#define NETWORK_WIDGETS_IS_INFO_BOX(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_WIDGETS_TYPE_INFO_BOX))
#define NETWORK_WIDGETS_IS_INFO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_WIDGETS_TYPE_INFO_BOX))
#define NETWORK_WIDGETS_INFO_BOX_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBoxClass))

typedef struct _NetworkWidgetsInfoBox NetworkWidgetsInfoBox;
typedef struct _NetworkWidgetsInfoBoxClass NetworkWidgetsInfoBoxClass;
typedef struct _NetworkWidgetsInfoBoxPrivate NetworkWidgetsInfoBoxPrivate;

#define NETWORK_WIDGETS_TYPE_DEVICE_ITEM (network_widgets_device_item_get_type ())
#define NETWORK_WIDGETS_DEVICE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem))
#define NETWORK_WIDGETS_DEVICE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItemClass))
#define NETWORK_WIDGETS_IS_DEVICE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_WIDGETS_TYPE_DEVICE_ITEM))
#define NETWORK_WIDGETS_IS_DEVICE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_WIDGETS_TYPE_DEVICE_ITEM))
#define NETWORK_WIDGETS_DEVICE_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItemClass))

typedef struct _NetworkWidgetsDeviceItem NetworkWidgetsDeviceItem;
typedef struct _NetworkWidgetsDeviceItemClass NetworkWidgetsDeviceItemClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block11Data Block11Data;
#define __g_slist_free__nm_ip6_address_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__nm_ip6_address_unref0_ (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NetworkWidgetsInfoBox {
	GtkGrid parent_instance;
	NetworkWidgetsInfoBoxPrivate * priv;
};

struct _NetworkWidgetsInfoBoxClass {
	GtkGridClass parent_class;
};

struct _NetworkWidgetsInfoBoxPrivate {
	NMDevice* device;
	NetworkWidgetsDeviceItem* owner;
	GtkLabel* ip4address;
	GtkLabel* ip6address;
	GtkLabel* mask;
	GtkLabel* router;
	GtkLabel* broadcast;
	GtkLabel* sent;
	GtkLabel* received;
	GtkLabel* ip6address_head;
};

struct _Block11Data {
	int _ref_count_;
	NetworkWidgetsInfoBox* self;
	gint i;
	GSList* addresses;
};


static gpointer network_widgets_info_box_parent_class = NULL;

GType network_widgets_info_box_get_type (void) G_GNUC_CONST;
GType network_widgets_device_item_get_type (void) G_GNUC_CONST;
#define NETWORK_WIDGETS_INFO_BOX_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBoxPrivate))
enum  {
	NETWORK_WIDGETS_INFO_BOX_DUMMY_PROPERTY
};
NetworkWidgetsInfoBox* network_widgets_info_box_new_from_device (NMDevice* _device);
NetworkWidgetsInfoBox* network_widgets_info_box_construct_from_device (GType object_type, NMDevice* _device);
static void network_widgets_info_box_init_box (NetworkWidgetsInfoBox* self);
NetworkWidgetsInfoBox* network_widgets_info_box_new_from_owner (NetworkWidgetsDeviceItem* _owner);
NetworkWidgetsInfoBox* network_widgets_info_box_construct_from_owner (GType object_type, NetworkWidgetsDeviceItem* _owner);
NMDevice* network_widgets_device_item_get_item_device (NetworkWidgetsDeviceItem* self);
static void __lambda8_ (NetworkWidgetsInfoBox* self);
void network_widgets_info_box_update_status (NetworkWidgetsInfoBox* self);
static void ___lambda8__nm_device_state_changed (NMDevice* _sender, guint new_state, guint old_state, guint reason, gpointer self);
void network_widgets_info_box_update_activity (NetworkWidgetsInfoBox* self, const gchar* sent_bytes, const gchar* received_bytes);
#define NETWORK_UNKNOWN_STR _ ("Unknown")
static Block11Data* block11_data_ref (Block11Data* _data11_);
static void _nm_ip6_address_unref0_ (gpointer var);
static void _g_slist_free__nm_ip6_address_unref0_ (GSList* self);
static void block11_data_unref (void * _userdata_);
static void ___lambda9_ (Block11Data* _data11_, NMIP6Address* addr);
static void ____lambda9__gfunc (gconstpointer data, gpointer self);
NetworkWidgetsInfoBox* network_widgets_info_box_new (void);
NetworkWidgetsInfoBox* network_widgets_info_box_construct (GType object_type);
static void network_widgets_info_box_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return self ? g_object_ref (self) : NULL;
#line 127 "InfoBox.c"
}


NetworkWidgetsInfoBox* network_widgets_info_box_construct_from_device (GType object_type, NMDevice* _device) {
	NetworkWidgetsInfoBox * self = NULL;
	NMDevice* _tmp0_ = NULL;
	NMDevice* _tmp1_ = NULL;
#line 37 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self = (NetworkWidgetsInfoBox*) g_object_new (object_type, NULL);
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->owner);
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->owner = NULL;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp0_ = _device;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->device);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->device = _tmp1_;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	network_widgets_info_box_init_box (self);
#line 37 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return self;
#line 153 "InfoBox.c"
}


NetworkWidgetsInfoBox* network_widgets_info_box_new_from_device (NMDevice* _device) {
#line 37 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return network_widgets_info_box_construct_from_device (NETWORK_WIDGETS_TYPE_INFO_BOX, _device);
#line 160 "InfoBox.c"
}


NetworkWidgetsInfoBox* network_widgets_info_box_construct_from_owner (GType object_type, NetworkWidgetsDeviceItem* _owner) {
	NetworkWidgetsInfoBox * self = NULL;
	NetworkWidgetsDeviceItem* _tmp0_ = NULL;
	NetworkWidgetsDeviceItem* _tmp1_ = NULL;
	NetworkWidgetsDeviceItem* _tmp2_ = NULL;
	NMDevice* _tmp3_ = NULL;
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self = (NetworkWidgetsInfoBox*) g_object_new (object_type, NULL);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp0_ = _owner;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->owner);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->owner = _tmp1_;
#line 46 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp2_ = self->priv->owner;
#line 46 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp3_ = network_widgets_device_item_get_item_device (_tmp2_);
#line 46 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->device);
#line 46 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->device = _tmp3_;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	network_widgets_info_box_init_box (self);
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return self;
#line 192 "InfoBox.c"
}


NetworkWidgetsInfoBox* network_widgets_info_box_new_from_owner (NetworkWidgetsDeviceItem* _owner) {
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return network_widgets_info_box_construct_from_owner (NETWORK_WIDGETS_TYPE_INFO_BOX, _owner);
#line 199 "InfoBox.c"
}


static void __lambda8_ (NetworkWidgetsInfoBox* self) {
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	network_widgets_info_box_update_status (self);
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_signal_emit_by_name (self, "info-changed");
#line 208 "InfoBox.c"
}


static void ___lambda8__nm_device_state_changed (NMDevice* _sender, guint new_state, guint old_state, guint reason, gpointer self) {
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	__lambda8_ ((NetworkWidgetsInfoBox*) self);
#line 215 "InfoBox.c"
}


static void network_widgets_info_box_init_box (NetworkWidgetsInfoBox* self) {
	GtkImage* sent_head = NULL;
	GtkImage* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkGrid* sent_grid = NULL;
	GtkGrid* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkImage* received_head = NULL;
	GtkImage* _tmp5_ = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkGrid* received_grid = NULL;
	GtkGrid* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	GtkGrid* send_receive_grid = NULL;
	GtkGrid* _tmp10_ = NULL;
	GtkLabel* ip4address_head = NULL;
	const gchar* _tmp11_ = NULL;
	GtkLabel* _tmp12_ = NULL;
	GtkLabel* _tmp13_ = NULL;
	GtkLabel* _tmp14_ = NULL;
	GtkLabel* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	GtkLabel* _tmp17_ = NULL;
	GtkLabel* _tmp18_ = NULL;
	GtkLabel* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkLabel* mask_head = NULL;
	const gchar* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	GtkLabel* router_head = NULL;
	const gchar* _tmp29_ = NULL;
	GtkLabel* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	GtkLabel* _tmp32_ = NULL;
	GtkLabel* _tmp33_ = NULL;
	GtkLabel* broadcast_head = NULL;
	const gchar* _tmp34_ = NULL;
	GtkLabel* _tmp35_ = NULL;
	GtkLabel* _tmp36_ = NULL;
	GtkLabel* _tmp37_ = NULL;
	GtkLabel* _tmp38_ = NULL;
	GtkLabel* _tmp39_ = NULL;
	GtkLabel* _tmp40_ = NULL;
	GtkLabel* _tmp41_ = NULL;
	GtkLabel* _tmp42_ = NULL;
	GtkLabel* _tmp43_ = NULL;
	GtkLabel* _tmp44_ = NULL;
	GtkLabel* _tmp45_ = NULL;
	GtkLabel* _tmp46_ = NULL;
	NMDevice* _tmp47_ = NULL;
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 6);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp0_ = (GtkImage*) gtk_image_new_from_icon_name ("go-up-symbolic", GTK_ICON_SIZE_BUTTON);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp0_);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	sent_head = _tmp0_;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new ("");
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp1_);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->sent);
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->sent = _tmp1_;
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp2_);
#line 58 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	sent_grid = _tmp2_;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing (sent_grid, 12);
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp3_ = _ ("Sent");
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) sent_grid, _tmp3_);
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) sent_grid, (GtkWidget*) sent_head);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp4_ = self->priv->sent;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) sent_grid, (GtkWidget*) _tmp4_);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp5_ = (GtkImage*) gtk_image_new_from_icon_name ("go-down-symbolic", GTK_ICON_SIZE_BUTTON);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp5_);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	received_head = _tmp5_;
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new ("");
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp6_);
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->received);
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->received = _tmp6_;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp7_ = (GtkGrid*) gtk_grid_new ();
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp7_);
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	received_grid = _tmp7_;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing (received_grid, 12);
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp8_ = _ ("Received");
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) received_grid, _tmp8_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) received_grid, (GtkWidget*) received_head);
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp9_ = self->priv->received;
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) received_grid, (GtkWidget*) _tmp9_);
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp10_ = (GtkGrid*) gtk_grid_new ();
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp10_);
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	send_receive_grid = _tmp10_;
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) send_receive_grid, GTK_ALIGN_CENTER);
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_set_column_spacing (send_receive_grid, 12);
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_margin_top ((GtkWidget*) send_receive_grid, 12);
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) send_receive_grid, (GtkWidget*) sent_grid);
#line 78 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_container_add ((GtkContainer*) send_receive_grid, (GtkWidget*) received_grid);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp11_ = _ ("IP Address:");
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_tmp11_);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp12_);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	ip4address_head = _tmp12_;
#line 81 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) ip4address_head, GTK_ALIGN_END);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp13_ = (GtkLabel*) gtk_label_new ("");
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp13_);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip4address);
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->ip4address = _tmp13_;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp14_ = self->priv->ip4address;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp14_, TRUE);
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp15_ = self->priv->ip4address;
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp15_, (gfloat) 0);
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp16_ = _ ("IPv6 Address:");
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp17_ = (GtkLabel*) gtk_label_new (_tmp16_);
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp17_);
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address_head);
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->ip6address_head = _tmp17_;
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp18_ = self->priv->ip6address_head;
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp18_, TRUE);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp19_ = self->priv->ip6address_head;
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp19_, GTK_ALIGN_END);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp20_ = (GtkLabel*) gtk_label_new ("");
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp20_);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->ip6address = _tmp20_;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp21_ = self->priv->ip6address;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp21_, TRUE);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp22_ = self->priv->ip6address;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp22_, TRUE);
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp23_ = self->priv->ip6address;
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp23_, (gfloat) 0);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp24_ = _ ("Subnet mask:");
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp25_ = (GtkLabel*) gtk_label_new (_tmp24_);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp25_);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	mask_head = _tmp25_;
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) mask_head, GTK_ALIGN_END);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp26_ = (GtkLabel*) gtk_label_new ("");
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp26_);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->mask);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->mask = _tmp26_;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp27_ = self->priv->mask;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp27_, TRUE);
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp28_ = self->priv->mask;
#line 101 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp28_, (gfloat) 0);
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp29_ = _ ("Router:");
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp30_ = (GtkLabel*) gtk_label_new (_tmp29_);
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp30_);
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	router_head = _tmp30_;
#line 104 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) router_head, GTK_ALIGN_END);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp31_ = (GtkLabel*) gtk_label_new ("");
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp31_);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->router);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->router = _tmp31_;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp32_ = self->priv->router;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp32_, TRUE);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp33_ = self->priv->router;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp33_, (gfloat) 0);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp34_ = _ ("Broadcast:");
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp35_ = (GtkLabel*) gtk_label_new (_tmp34_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp35_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	broadcast_head = _tmp35_;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_halign ((GtkWidget*) broadcast_head, GTK_ALIGN_END);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp36_ = (GtkLabel*) gtk_label_new ("");
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_object_ref_sink (_tmp36_);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->broadcast);
#line 113 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv->broadcast = _tmp36_;
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp37_ = self->priv->broadcast;
#line 114 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_selectable (_tmp37_, TRUE);
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp38_ = self->priv->broadcast;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_xalign (_tmp38_, (gfloat) 0);
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) ip4address_head, 0, 0, 1, 1);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp39_ = self->priv->ip4address;
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp39_, (GtkWidget*) ip4address_head, GTK_POS_RIGHT, 1, 1);
#line 120 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp40_ = self->priv->ip6address_head;
#line 120 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp40_, (GtkWidget*) ip4address_head, GTK_POS_BOTTOM, 1, 1);
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp41_ = self->priv->ip6address;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp42_ = self->priv->ip6address_head;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp41_, (GtkWidget*) _tmp42_, GTK_POS_RIGHT, 1, 1);
#line 123 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp43_ = self->priv->ip6address_head;
#line 123 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) mask_head, (GtkWidget*) _tmp43_, GTK_POS_BOTTOM, 1, 1);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp44_ = self->priv->mask;
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp44_, (GtkWidget*) mask_head, GTK_POS_RIGHT, 1, 1);
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) router_head, (GtkWidget*) mask_head, GTK_POS_BOTTOM, 1, 1);
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp45_ = self->priv->router;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp45_, (GtkWidget*) router_head, GTK_POS_RIGHT, 1, 1);
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) broadcast_head, (GtkWidget*) router_head, GTK_POS_BOTTOM, 1, 1);
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp46_ = self->priv->broadcast;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) _tmp46_, (GtkWidget*) broadcast_head, GTK_POS_RIGHT, 1, 1);
#line 132 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_grid_attach_next_to ((GtkGrid*) self, (GtkWidget*) send_receive_grid, (GtkWidget*) broadcast_head, GTK_POS_BOTTOM, 4, 1);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp47_ = self->priv->device;
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_signal_connect_object (_tmp47_, "state-changed", (GCallback) ___lambda8__nm_device_state_changed, self, 0);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	network_widgets_info_box_update_status (self);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (broadcast_head);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (router_head);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (mask_head);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (ip4address_head);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (send_receive_grid);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (received_grid);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (received_head);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (sent_grid);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (sent_head);
#line 569 "InfoBox.c"
}


void network_widgets_info_box_update_activity (NetworkWidgetsInfoBox* self, const gchar* sent_bytes, const gchar* received_bytes) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GtkLabel* _tmp5_ = NULL;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_return_if_fail (self != NULL);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_return_if_fail (sent_bytes != NULL);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_return_if_fail (received_bytes != NULL);
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp1_ = sent_bytes;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp0_ = _tmp1_;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	if (_tmp0_ == NULL) {
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp0_ = NETWORK_UNKNOWN_STR;
#line 594 "InfoBox.c"
	}
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp2_ = self->priv->sent;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp2_, _tmp0_);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp4_ = received_bytes;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp3_ = _tmp4_;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	if (_tmp3_ == NULL) {
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp3_ = NETWORK_UNKNOWN_STR;
#line 608 "InfoBox.c"
	}
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp5_ = self->priv->received;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp5_, _tmp3_);
#line 614 "InfoBox.c"
}


static Block11Data* block11_data_ref (Block11Data* _data11_) {
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_atomic_int_inc (&_data11_->_ref_count_);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return _data11_;
#line 623 "InfoBox.c"
}


static void _nm_ip6_address_unref0_ (gpointer var) {
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	(var == NULL) ? NULL : (var = (nm_ip6_address_unref (var), NULL));
#line 630 "InfoBox.c"
}


static void _g_slist_free__nm_ip6_address_unref0_ (GSList* self) {
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_slist_foreach (self, (GFunc) _nm_ip6_address_unref0_, NULL);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_slist_free (self);
#line 639 "InfoBox.c"
}


static void block11_data_unref (void * _userdata_) {
	Block11Data* _data11_;
	_data11_ = (Block11Data*) _userdata_;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	if (g_atomic_int_dec_and_test (&_data11_->_ref_count_)) {
#line 648 "InfoBox.c"
		NetworkWidgetsInfoBox* self;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		self = _data11_->self;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		__g_slist_free__nm_ip6_address_unref0_0 (_data11_->addresses);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_g_object_unref0 (self);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		g_slice_free (Block11Data, _data11_);
#line 658 "InfoBox.c"
	}
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 682 "InfoBox.c"
}


static void ___lambda9_ (Block11Data* _data11_, NMIP6Address* addr) {
	NetworkWidgetsInfoBox* self;
	NMIP6Address* _tmp0_ = NULL;
	GInetAddress* inet = NULL;
	NMIP6Address* _tmp1_ = NULL;
	guint8* _tmp2_ = NULL;
	GInetAddress* _tmp3_ = NULL;
	gchar* inet_str = NULL;
	GInetAddress* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	NMIP6Address* _tmp9_ = NULL;
	guint32 _tmp10_ = 0U;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	GtkLabel* _tmp15_ = NULL;
	GtkLabel* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	gchar* _tmp25_ = NULL;
	gchar* _tmp26_ = NULL;
	gint _tmp27_ = 0;
	GSList* _tmp28_ = NULL;
	guint _tmp29_ = 0U;
	gint _tmp36_ = 0;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self = _data11_->self;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_return_if_fail (addr != NULL);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp0_ = addr;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	nm_ip6_address_ref (_tmp0_);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp1_ = addr;
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp2_ = nm_ip6_address_get_address (_tmp1_);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp3_ = g_inet_address_new_from_bytes (_tmp2_, G_SOCKET_FAMILY_IPV6);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	inet = _tmp3_;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp4_ = inet;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp5_ = g_inet_address_to_string (_tmp4_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp6_ = _tmp5_;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp7_ = g_strconcat (_tmp6_, "/", NULL);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp8_ = _tmp7_;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp9_ = addr;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp10_ = nm_ip6_address_get_prefix (_tmp9_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp11_ = g_strdup_printf ("%u", _tmp10_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp12_ = _tmp11_;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp13_ = g_strconcat (_tmp8_, _tmp12_, NULL);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp14_ = _tmp13_;
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp12_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp8_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp6_);
#line 173 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	inet_str = _tmp14_;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp15_ = self->priv->ip6address;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp16_ = self->priv->ip6address_head;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp17_ = inet_str;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp18_ = string_strip (_tmp17_);
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp19_ = _tmp18_;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp16_, g_strcmp0 (_tmp19_, "") != 0);
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp15_, g_strcmp0 (_tmp19_, "") != 0);
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp19_);
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp20_ = self->priv->ip6address;
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp21_ = self->priv->ip6address;
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp22_ = gtk_label_get_label (_tmp21_);
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp23_ = _tmp22_;
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp24_ = inet_str;
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp25_ = g_strconcat (_tmp23_, _tmp24_, NULL);
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp26_ = _tmp25_;
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp21_, _tmp26_);
#line 175 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_free0 (_tmp26_);
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp27_ = _data11_->i;
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp28_ = _data11_->addresses;
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp29_ = g_slist_length (_tmp28_);
#line 176 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	if (((guint) _tmp27_) < _tmp29_) {
#line 809 "InfoBox.c"
		GtkLabel* _tmp30_ = NULL;
		GtkLabel* _tmp31_ = NULL;
		const gchar* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp30_ = self->priv->ip6address;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp31_ = self->priv->ip6address;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp32_ = gtk_label_get_label (_tmp31_);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp33_ = _tmp32_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp34_ = g_strconcat (_tmp33_, "\n", NULL);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp35_ = _tmp34_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp31_, _tmp35_);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_g_free0 (_tmp35_);
#line 832 "InfoBox.c"
	}
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp36_ = _data11_->i;
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_data11_->i = _tmp36_ + 1;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_free0 (inet_str);
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (inet);
#line 842 "InfoBox.c"
}


static void ____lambda9__gfunc (gconstpointer data, gpointer self) {
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	___lambda9_ (self, (NMIP6Address*) data);
#line 849 "InfoBox.c"
}


void network_widgets_info_box_update_status (NetworkWidgetsInfoBox* self) {
	NMDHCP4Config* dhcp4 = NULL;
	NMDevice* _tmp0_ = NULL;
	NMDHCP4Config* _tmp1_ = NULL;
	NMDHCP4Config* _tmp2_ = NULL;
	NMDHCP4Config* _tmp3_ = NULL;
	NMIP6Config* ip6 = NULL;
	NMDevice* _tmp24_ = NULL;
	NMIP6Config* _tmp25_ = NULL;
	NMIP6Config* _tmp26_ = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	NMIP6Config* _tmp29_ = NULL;
	GtkLabel* _tmp30_ = NULL;
	NMIP6Config* _tmp31_ = NULL;
	NetworkWidgetsDeviceItem* _tmp36_ = NULL;
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_return_if_fail (self != NULL);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp0_ = self->priv->device;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp1_ = nm_device_get_dhcp4_config (_tmp0_);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	dhcp4 = _tmp2_;
#line 152 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp3_ = dhcp4;
#line 152 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	if (_tmp3_ != NULL) {
#line 883 "InfoBox.c"
		const gchar* _tmp4_ = NULL;
		NMDHCP4Config* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		GtkLabel* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		NMDHCP4Config* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		GtkLabel* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		NMDHCP4Config* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		GtkLabel* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		NMDHCP4Config* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		GtkLabel* _tmp19_ = NULL;
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp5_ = dhcp4;
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp6_ = nm_dhcp4_config_get_one_option (_tmp5_, "ip_address");
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp4_ = _tmp6_;
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		if (_tmp4_ == NULL) {
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
			_tmp4_ = NETWORK_UNKNOWN_STR;
#line 910 "InfoBox.c"
		}
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp7_ = self->priv->ip4address;
#line 153 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp7_, _tmp4_);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp9_ = dhcp4;
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp10_ = nm_dhcp4_config_get_one_option (_tmp9_, "subnet_mask");
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp8_ = _tmp10_;
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		if (_tmp8_ == NULL) {
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
			_tmp8_ = NETWORK_UNKNOWN_STR;
#line 926 "InfoBox.c"
		}
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp11_ = self->priv->mask;
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp11_, _tmp8_);
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp13_ = dhcp4;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp14_ = nm_dhcp4_config_get_one_option (_tmp13_, "routers");
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp12_ = _tmp14_;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		if (_tmp12_ == NULL) {
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
			_tmp12_ = NETWORK_UNKNOWN_STR;
#line 942 "InfoBox.c"
		}
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp15_ = self->priv->router;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp15_, _tmp12_);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp17_ = dhcp4;
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp18_ = nm_dhcp4_config_get_one_option (_tmp17_, "broadcast_address");
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp16_ = _tmp18_;
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		if (_tmp16_ == NULL) {
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
			_tmp16_ = NETWORK_UNKNOWN_STR;
#line 958 "InfoBox.c"
		}
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp19_ = self->priv->broadcast;
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp19_, _tmp16_);
#line 964 "InfoBox.c"
	} else {
		GtkLabel* _tmp20_ = NULL;
		GtkLabel* _tmp21_ = NULL;
		GtkLabel* _tmp22_ = NULL;
		GtkLabel* _tmp23_ = NULL;
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp20_ = self->priv->ip4address;
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp20_, NETWORK_UNKNOWN_STR);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp21_ = self->priv->mask;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp21_, NETWORK_UNKNOWN_STR);
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp22_ = self->priv->router;
#line 160 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp22_, NETWORK_UNKNOWN_STR);
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp23_ = self->priv->broadcast;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		gtk_label_set_label (_tmp23_, NETWORK_UNKNOWN_STR);
#line 986 "InfoBox.c"
	}
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp24_ = self->priv->device;
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp25_ = nm_device_get_ip6_config (_tmp24_);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp26_ = _g_object_ref0 (_tmp25_);
#line 164 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	ip6 = _tmp26_;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp27_ = self->priv->ip6address;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp28_ = self->priv->ip6address_head;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp29_ = ip6;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp28_, _tmp29_ != NULL);
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp27_, _tmp29_ != NULL);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp30_ = self->priv->ip6address;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_label_set_label (_tmp30_, "");
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp31_ = ip6;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	if (_tmp31_ != NULL) {
#line 1014 "InfoBox.c"
		Block11Data* _data11_;
		NMIP6Config* _tmp32_ = NULL;
		GSList* _tmp33_ = NULL;
		GSList* _tmp34_ = NULL;
		GSList* _tmp35_ = NULL;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_data11_ = g_slice_new0 (Block11Data);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_data11_->_ref_count_ = 1;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_data11_->self = g_object_ref (self);
#line 168 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_data11_->i = 1;
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp32_ = ip6;
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp33_ = nm_ip6_config_get_addresses (_tmp32_);
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp34_ = g_slist_copy (_tmp33_);
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_data11_->addresses = _tmp34_;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp35_ = _data11_->addresses;
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		g_slist_foreach (_tmp35_, ____lambda9__gfunc, _data11_);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		block11_data_unref (_data11_);
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_data11_ = NULL;
#line 1044 "InfoBox.c"
	}
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_tmp36_ = self->priv->owner;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	if (_tmp36_ != NULL) {
#line 1050 "InfoBox.c"
		NetworkWidgetsDeviceItem* _tmp37_ = NULL;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		_tmp37_ = self->priv->owner;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
		g_signal_emit_by_name (self, "update-sidebar", _tmp37_);
#line 1056 "InfoBox.c"
	}
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (ip6);
#line 149 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (dhcp4);
#line 1064 "InfoBox.c"
}


NetworkWidgetsInfoBox* network_widgets_info_box_construct (GType object_type) {
	NetworkWidgetsInfoBox * self = NULL;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self = (NetworkWidgetsInfoBox*) g_object_new (object_type, NULL);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return self;
#line 1074 "InfoBox.c"
}


NetworkWidgetsInfoBox* network_widgets_info_box_new (void) {
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	return network_widgets_info_box_construct (NETWORK_WIDGETS_TYPE_INFO_BOX);
#line 1081 "InfoBox.c"
}


static void network_widgets_info_box_class_init (NetworkWidgetsInfoBoxClass * klass) {
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	network_widgets_info_box_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_type_class_add_private (klass, sizeof (NetworkWidgetsInfoBoxPrivate));
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	G_OBJECT_CLASS (klass)->finalize = network_widgets_info_box_finalize;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_signal_new ("update_sidebar", NETWORK_WIDGETS_TYPE_INFO_BOX, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, NETWORK_WIDGETS_TYPE_DEVICE_ITEM);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	g_signal_new ("info_changed", NETWORK_WIDGETS_TYPE_INFO_BOX, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1096 "InfoBox.c"
}


static void network_widgets_info_box_instance_init (NetworkWidgetsInfoBox * self) {
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self->priv = NETWORK_WIDGETS_INFO_BOX_GET_PRIVATE (self);
#line 1103 "InfoBox.c"
}


static void network_widgets_info_box_finalize (GObject* obj) {
	NetworkWidgetsInfoBox * self;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_INFO_BOX, NetworkWidgetsInfoBox);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->device);
#line 25 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->owner);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip4address);
#line 28 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address);
#line 29 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->mask);
#line 30 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->router);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->broadcast);
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->sent);
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->received);
#line 35 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	_g_object_unref0 (self->priv->ip6address_head);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/InfoBox.vala"
	G_OBJECT_CLASS (network_widgets_info_box_parent_class)->finalize (obj);
#line 1133 "InfoBox.c"
}


GType network_widgets_info_box_get_type (void) {
	static volatile gsize network_widgets_info_box_type_id__volatile = 0;
	if (g_once_init_enter (&network_widgets_info_box_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NetworkWidgetsInfoBoxClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_widgets_info_box_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWidgetsInfoBox), 0, (GInstanceInitFunc) network_widgets_info_box_instance_init, NULL };
		GType network_widgets_info_box_type_id;
		network_widgets_info_box_type_id = g_type_register_static (gtk_grid_get_type (), "NetworkWidgetsInfoBox", &g_define_type_info, 0);
		g_once_init_leave (&network_widgets_info_box_type_id__volatile, network_widgets_info_box_type_id);
	}
	return network_widgets_info_box_type_id__volatile;
}



